img-png(3tk)

NAME
img-png - Img, Portable Network Graphics format (png)

SYNOPSIS
package require Tk

package require img::png ?1.4?

image create photo ?name? ?options?

DESCRIPTION
The package img::png is a sub-package of Img. It can be loaded as a part of the complete Img support, via package require Img, or on its own, via package require img::png.

Like all packages of Img it does not provide new commands, but extends the existing Tk command image so that it supports files containing raster images in the Portable Network Graphics format (png). More specifically img::png extends Tk's photo image type.

The name of the new format handler is png. This handler provides new additional configuration options. See section PNG OPTIONS for more detailed explanations.

All of the above means that in a call like

image create photo ?name? ?options?

[1] Image data in png format (options -data and -file) is detected automatically.

[2] The format name png is recognized by the option -format. In addition the value for the option is treated as list and may contain any of the special options listed in section PNG OPTIONS.

PNG OPTIONS
The handler provides the following options:

-matte bool
    This option is supported for reading only.

    If set to false, a matte (alpha) channel is ignored during reading or writing. Default is true.

-alpha float
    This option is supported for reading only.

    An additional alpha filtering for the overall image, which allows the background on which the image is displayed to show through. This usually also has the effect of desaturating the image. The alphaValue must be between 0.0 and 1.0. Specifying an alpha value, overrides the setting of the matte flag, i.e. reading a file which has no alpha channel (Greyscale, RGB) will add an alpha channel to the image independent of the matte flag setting.

The handler provides no true write options at all, but accepts pairs of keys and values when writing a PNG file. Each pair will be written as a named text chunk where the key provides the name of the chunk and the value its contents. For example
    png Author <name> Title <title> Description ...

TRANSPARENCY
If you want to write images to disk which contain transparency information (e.g. PNG with alpha channel) you need at least Tk 8.3.

SEE ALSO
img-bmp, img-dted, img-gif, img-ico, img-intro, img-jpeg, img-pcx, img-pixmap, img-png, img-ppm, img-ps, img-raw, img-sgi, img-sun, img-tga, img-tiff, img-window, img-xbm, img-xpm

KEYWORDS
image handling, png, tk

COPYRIGHT
Copyright (c) 1995-2009 Jan Nijtmans <nijtmans@users.sourceforge.net>